/*
 Theme Name:   Panificadora Viena
 Theme URI:    https://ztek.dev/
 Description:  A Divi Child Theme
 Author:       Ztek
 Author URI:   https://ztek.dev/
 Template:     Divi
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
 Text Domain:  divichild
*/
/* ============ VARS ============ */
:root {
  /* colors */
  --dark-red: #AF2117;
  --red: #DC2820;
  --blue: #4A3B96;

  /* z-index */
  --zi-slider: 1;
  --zi-slider-overlay: 50;
  --zi-slider-controls: 100;
  --zi-alt-logo: 5000;

  /* sizing */
  --logo-ribbon-height: 240px; /* base values */
  --logo-ribbon-width: 220px; /* base values */

  /* shadow */
  --shadow: 0 0 12px rgba(0,0,0,0.35);

  /* swiper */
  --swiper-theme-color: #fff;
}

/* ============ MAPS ============ */
.mapp-layout {
  border: none;
}
.mapp-ib-wrapper {
  max-height: 100%;
}
.mapp-ib-wrapper .mapp-dir {
  display: none;
}
.mapp-ib-wrapper .mapp-body p {
  padding-bottom: 8px;
}

/* ============ RIBBON LOGO ============ */
.ribbon-logo {
  position: relative;
}

.alt-home-icon,
.ribbon-logo::before {
  position: absolute;
  top: 0;
  z-index: var(--zi-alt-logo);
  content: "";
  height: calc(var(--logo-ribbon-height) * 0.9);
  width: calc(var(--logo-ribbon-width) * 0.9);
  background-image: url(https://panificadoraviena.com/wp-content/uploads/2022/09/Liston.png);
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: top center;
}

.alt-home-icon.alt-home-icon-centered,
.ribbon-logo.ribbon-logo-centered::before {
  left: 50%;
  transform: translateX(-50%);
}
.alt-home-icon.alt-home-icon-left,
.ribbon-logo.ribbon-logo-left::before {
  left: 4rem;
}
.alt-home-icon.alt-home-icon-right,
.ribbon-logo.ribbon-logo-right::before {
  right: 4rem;
}

@media screen and (max-width: 1024px) {
  .alt-home-icon {
    height: calc(var(--logo-ribbon-height) * 0.4);
    width: calc(var(--logo-ribbon-width) * 0.4);
    right: 0 !important;
    left: unset !important;
    transform: none !important;
  }

  #hero.ribbon-logo::before {
    height: calc(var(--logo-ribbon-height) * 0.4);
    width: calc(var(--logo-ribbon-width) * 0.4);
  }
}

.floating-back-button {
  position: fixed;
  display: flex;
  top: 0;
  left: 0;
  padding: 1rem;
  z-index: var(--zi-alt-logo);
  background-color: rgba(0,0,0,0.25);
}

.floating-back-button::after {
  content: 'Volver';
  color: white;
  line-height: 1.25rem;
  margin-left: 0.5rem;
}

.floating-back-button svg {
  fill: white;
  height: 1.25rem;
}


/* ============ CATEGORIES ============ */
.fullscreen-container {
  height: 100%;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}
@media screen and (max-width: 768px) {
  .categories-parent-container {
    flex-direction: column;
  }
}
.category-container {
  cursor: pointer;
  display: flex;
  width: 50%;
  height: 50%;
  position: relative;
  cursor: pointer;
  background-size: 100%;
  background-position: center center;
  background-repeat: no-repeat;
  justify-content: center;
  align-items: center;
  transition: 350ms ease-out;
}
.category-container::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: rgba(0,0,0,0.5);
  z-index: var(--zi-slider);
  opacity: 0;
  bottom: 0;
  left: 0;
  transition: 350ms ease-out;
}
.category-container:hover {
  background-size: 105%;
}
.category-container:hover::before {
  opacity: 1;
}
@media screen and (max-width: 1200px) {
  .category-container {
    background-size: cover !important;
    width: 100%;
    height: 25%;
    align-items: flex-end;
  }

  .category-container h2 {
    margin-bottom: 2rem;
  }
}


.category-container h2 {
  position: relative;
  z-index: var(--zi-slider-overlay);
  color: white;
  font-size: 36px;
  text-shadow: 0 0 12px rgba(0,0,0,0.5);
  font-weight: bold;
}

/* ============ SINGLE PRODUCT ============ */
#product-archive .container {
  margin-top: 4rem;
  margin-bottom: 4rem;
}

#product-archive h1 {
  color: white;
  font-weight: bold;
  text-align: center;
  font-size: 2.5em;
  margin-top: 1.25em;
  margin-bottom: 1.75em;
}

#product-archive .product-card-container {
  display: flex;
  justify-content: center;
}

#product-archive .product-card {
  width: 90%;
  height: 320px;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  text-shadow: 0 0 12px rgba(0,0,0,0.25);
  margin-bottom: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  transform-style: preserve-3d;
  position: relative;
}

#product-archive .product-card a {
  color: white;
  text-align: center;
  width: 80%;
  text-shadow: var(--shadow);
  font-weight: bold;
  font-size: 1.5rem;
  transform: translateZ(40px);
  position: absolute;
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}


/* ============ SINGLE PRODUCT ============ */

#product-content h1,
#product-content .product-description,
#product-content span {
  z-index: 5;
  color: white;
  position: fixed;
}

#product-content h1 {
  display: inline-flex;
  font-weight: bold;
  background-color: var(--dark-red);
  padding: 1rem 2rem;
  box-shadow: var(--shadow);
  left: 6rem;
  top: 8rem;
  text-align: center;
}

#product-content h1::before {
  z-index: 4;
  content: attr(data-category);
  font-size: 0.5em;
  position: absolute;
  top: -2.35rem;
  left: 0.25rem;
  background-color: white;
  color: black;
  padding: 0.25rem 1.25rem;
  border-radius: 8px 8px 0 0;
}

#product-content .product-description {
  max-width: 90vw;
  width: 520px;
  background-color: rgba(0,0,0,0.4);
  padding: 32px;
  right: 6rem;
  bottom: 4rem;
}

#product-content span {
  top: 2rem;
  left: 2rem;
  cursor: pointer;
  font-size: 1.5em;
}

#product-swiper .swiper-slide {
  height: 100vh;
  width: 100vw;
  background-size: cover;
  background-position: center;
}

@media screen and (max-width: 768px) {
  #product-content h1 {
    transform: translateX(-50%);
    left: 50%;
    top: 6rem;
  }
  #product-content h1::before {
    left: 50%;
    transform: translateX(-50%);
  }
  #product-content .product-description {
    transform: translateX(-50%);
    left: 50%;
  }

  #product-swiper {
    height: 60vh;
    width: 100vw;
    position: absolute;
    bottom: 0;
  }

  #product-swiper .swiper-slide {
    height: 60vh;
    width: 100vw;
    background-size: cover;
    background-position: center;
  }  
}

